;;; atmega128 defines

.include "rampz.asm"
.equ iosize = $e0
.equ ramsize = $1000
.equ flashsize = $10000
.equ eepromsize = $1000
.equ pagesize = $80
.equ nrww = $f000
.equ start = $46

.equ UBRR0L = $29
.equ UCSR0B = $2a
.equ UCSR0A = $2b
.equ UDR0 = $2c

.equ EECR = $3c
  .equ EERIE = 3
  .equ EEMWE = 2
  .equ EEWE = 1
  .equ EERE = 0
.equ EEDR = $3d
.equ EEARL = $3e
.equ EEARH = $3f
        
.equ RAMPZ = $5b
  .equ RAMPZ0 = 0

.equ SPMCSR = $68
  .equ SPMIE = 7
  .equ RWWSB = 6
  .equ RWWSRE = 4
  .equ BLBSET = 3
  .equ PGWRT = 2
  .equ PGERS = 1
  .equ SPMEN = 0

.equ UBRR0H = $90
.equ UCSR0C = $95

.equ UBRR1H = $98
.equ UBRR1L = $99
.equ UCSR1B = $9a
.equ UCSR1A = $9b
.equ UDR1 = $9c
.equ UCSR1C = $9d

