;;; atmega32 defines

.include "norampz.asm"
.equ iosize = $40
.equ ramsize = $800
.equ flashsize = $4000
.equ eepromsize = $400
.equ pagesize = 64
.equ nrww = $3800
.equ start = $2a

.equ UBRRL = $29
.equ UCSRB = $2a
.equ UCSRA = $2b
.equ UDR = $2c  

.equ EECR = $3c
  .equ EERIE = 3
  .equ EEMWE = 2
  .equ EEWE = 1
  .equ EERE = 0
.equ EEDR = $3d
.equ EEARL = $3e
.equ EEARH = $3f
        
.equ UBRRH = $40

.equ SPMCR = $57
.equ SPMCSR = SPMCR
  .equ SPMIE = 7
  .equ RWWSB = 6
  .equ RWWSRE = 4
  .equ BLBSET = 3
  .equ PGWRT = 2
  .equ PGERS = 1
  .equ SPMEN = 0

