;; ,xt
;;
;; ( xt -- )

link_
.db ",xt",0

commaxt:
  ; update list
  rcall ihere
  rcall list
  rcall store

  ; get offset
  dup_
  rcall ihere
  rcall minus
  oneminus_

  ; check if an rcall will reach
  dup_
  and_ $f800
  cpi tosh,$00
  breq commaxt_relative
  cpi tosh,$f8
  breq commaxt_relative

  ; try rcall with pc wraparound
  drop_
  dup_
  tst tosh
  brmi commaxt_wrap_neg

commaxt_wrap_pos:
  minus_ flashsize
  rjmp commaxt_wrap

commaxt_wrap_neg:
  plus_ flashsize

commaxt_wrap:
  and_ $f800
  cpi tosh,$00
  breq commaxt_relative
  cpi tosh,$f8
  breq commaxt_relative

commaxt_absolute:
  drop_
  drop_

  ; call opcode
  lit_ $940e
  rcall icomma

  ; xt
  rcall icomma
  ret

commaxt_relative:
  drop_
  and_ $0fff
  
  ; rcall opcode
  or_ $d000
  rcall icomma
  
  drop_
  ret

