;;; constants, variables


link_
.db "const",0

const:
  dup_
  pop tosh
  pop tosl
  rcall ifetch
  ret


.set heap = ramstart

;; tib

link_
.db "tib",0

tib:
  rcall const
  .dw heap
.set heap = heap + $80

;; wordbuf

link_
.db "wordbuf",0

wordbuf:
  rcall const
  .dw heap
.set heap = heap + $40

;; >in

link_
.db ">in",0

toin:
  rcall const
  .dw heap
.set heap = heap + 2

;; link

link_
.db "link",0,0

linkk:
  rcall const
  .dw heap
.set heap = heap + 2

;; mlink

link_
.db "mlink",0

mlinkk:
  rcall const
  .dw heap
.set heap = heap + 2

;; dict

link_
.db "dict",0,0

dict:
  rcall const
  .dw heap
.set heap = heap + 2

;; dp

link_
.db "dp",0,0

dp:
  rcall const
  .dw heap
.set heap = heap + 2

;; idp

link_
.db "idp",0

idp:
  rcall const
  .dw heap
.set heap = heap + 2

;; edp

link_
.db "edp",0

edp:
  rcall const
  .dw heap
.set heap = heap + 2

;; source

link_
.db "source",0,0

source:
  rcall const
  .dw heap
.set heap = heap + 2

;; list

link_
.db "list",0,0

list:
  rcall const
  .dw heap
.set list_ = heap
.set heap = heap + 4

;; interpreter task area

link_
.db "interp",0,0

interp:
  rcall const
  .dw heap
.set interp_ = heap
.set heap = heap + $100

;; io vectors

link_
.db $27,"key",0,0
  rcall const
  .dw heap
.set tickkey = heap
.set heap = heap + 2

link_
.db $27,"emit",0
  rcall const
  .dw heap
.set tickemit = heap
.set heap = heap + 2

.set datamem = heap


;;; eeprom variables

;.eseg
;.dw datamem
;.dw codemem
;.dw eemem
;.dw lastword
;.dw lastmacro
;.cseg

.set eheap = 0

;; ~dp

link_
.db "~dp",0

tildedp:
  rcall const
  .dw eheap
.set eheap = eheap + 2

;; ~idp

link_
.db "~idp",0,0

tildeidp:
  rcall const
  .dw eheap
.set eheap = eheap + 2

;; ~edp

link_
.db "~edp",0,0

tildeedp:
  rcall const
  .dw eheap
.set eheap = eheap + 2

;; ~link

link_
.db "~link",0

tildelink:
  rcall const
  .dw eheap
.set eheap = eheap + 2

;; ~mlink

link_
.db "~mlink",0,0

tildemlink:
  rcall const
  .dw eheap
.set eheap = eheap + 2

.set eemem = eheap


;;; constants

;; bl

link_
.db "bl",0,0

bl:
  rcall const
  .dw ' '

